Package org.kie.api.conf

## Enum SequentialOption

- java.lang.Object
- - java.lang.Enum<SequentialOption>
  - - org.kie.api.conf.SequentialOption

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SequentialOption>`, `KieBaseOption`, `Option`, `SingleValueKieBaseOption`

      public enum SequentialOption
      extends java.lang.Enum<SequentialOption>
      implements SingleValueKieBaseOption

  An Enum for Sequential option. drools.sequential = <true|false> DEFAULT = false

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NO` |
    `YES` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PROPERTY_NAME` | The property name for the sequential mode option

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SequentialOption` | `determineSequential​(java.lang.String option)` |
    `java.lang.String` | `getPropertyName()`
    `boolean` | `isSequential()` |
    `static SequentialOption` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SequentialOption[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### YES

          public static final SequentialOption YES

    - #### NO

          public static final SequentialOption NO

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      The property name for the sequential mode option
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static SequentialOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SequentialOption c : SequentialOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SequentialOption valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Specified by:
        `getPropertyName` in interface `Option`
      Returns:
        the property name for this option

    - #### isSequential

          public boolean isSequential()

    - #### determineSequential

          public static SequentialOption determineSequential​(java.lang.String option)